Consensus Client API
cURL
curl --request GET \ --url https://api.example.com/staking/validators/{validator_addr}/delegators/{delegator_addr}/period_delegations
{ "code": 200, "msg": [ { "delegator_address": "0xdb8e606ad7c02f37e43d10a10126791dc94b0434", "validator_address": "0xdb8e606ad7c02f37e43d10a10126791dc94b0434", "period_delegation_id": "0", "shares": "1000000.000000000000000000", "rewards_shares": "1000000.000000000000000000", "end_time": "2024-04-16T11:04:40.60280319Z" } ], "error": "" }
Documentation IndexFetch the complete documentation index at: https://docs.story.foundation/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.story.foundation/llms.txt
Use this file to discover all available pages before exploring further.
validator_addr defines the validator address to query for.
delegator_addr defines the delegator address to query for.
Show child attributes